From fb581efd7dbaff2e38316494a04f4587edea8900 Mon Sep 17 00:00:00 2001
From: Jo-Philipp Wich <jow@openwrt.org>
Date: Fri, 30 Jan 2009 16:05:14 +0000
Subject: [PATCH] modules/freifunk: 	- install cronjob for gateway check 
 - provide /etc/rc.local.d/ as suggested by ufo

---
 modules/freifunk/root/etc/init.d/freifunk | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/modules/freifunk/root/etc/init.d/freifunk b/modules/freifunk/root/etc/init.d/freifunk
index 799676fe9..f1b274471 100755
--- a/modules/freifunk/root/etc/init.d/freifunk
+++ b/modules/freifunk/root/etc/init.d/freifunk
@@ -9,5 +9,14 @@ boot() {
 		echo "*/5 * * * *	killall -HUP dnsmasq" >> /etc/crontabs/root
 	}
 
+	grep -q '/usr/sbin/ff_olsr_test_gw' /etc/crontabs/root || {
+		echo "* * * * *		/usr/sbin/ff_olsr_test_gw" >> /etc/crontabs/root
+	}
+
 	[ -f /etc/rc.local ] && . /etc/rc.local
+	[ -d /etc/rc.local.d ] && {
+		for file in /etc/rc.local.d/*; do
+			test -f "$file" && . "$file"
+		done
+	}
 }
-- 
2.25.1